Robot Simulator of the Robotics Group for Self-Organization of Control: FeedForwardNN Class Reference

# FeedForwardNN Class Reference

abstract class (interface) for feed forward rate based neural networks More...

`#include <feedforwardnn.h>`

Inherits InvertableModel.

Inherited by MultiLayerFFNN, and OneLayerFFNN.

Collaboration diagram for FeedForwardNN:
[legend]

List of all members.

## Public Member Functions
| FeedForwardNN (const std::string &name, const std::string &revision)
virtual | ~FeedForwardNN ()
virtual void | damp (double damping)=0
| damps the weights and the biases by multiplying (1-damping)
## Static Public Member Functions
static double | linear (double z)
static double | dlinear (double)
static double | invlinear (double z, double xsi)
static double | tanh (double z)
static double | dtanh (double z)
static double | invtanh (double z, double xsi)
static double | tanhc (double z)
static double | dtanhc (double z)
static double | tanhr (double z)
static double | dtanhr (double z)
static double | sigmoid (double z)
static double | dsigmoid (double z)
static double | invsigmoid (double z, double xsi)

## Detailed Description

abstract class (interface) for feed forward rate based neural networks

## Constructor & Destructor Documentation

FeedForwardNN | ( | const std::string & | name,
|  | const std::string & | revision |
| ) |  |  | `[inline]`

virtual ~FeedForwardNN | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void damp | ( | double | damping | ) | `[pure virtual]`

damps the weights and the biases by multiplying (1-damping)

Implements AbstractModel.

Implemented in Elman, MultiLayerFFNN, and OneLayerFFNN.

static double dlinear | ( | double |  | ) | `[inline, static]`

static double dsigmoid | ( | double | z | ) | `[inline, static]`

static double dtanh | ( | double | z | ) | `[inline, static]`

static double dtanhc | ( | double | z | ) | `[inline, static]`

static double dtanhr | ( | double | z | ) | `[inline, static]`

static double invlinear | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline, static]`

static double invsigmoid | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline, static]`

static double invtanh | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline, static]`

static double linear | ( | double | z | ) | `[inline, static]`

static double sigmoid | ( | double | z | ) | `[inline, static]`

static double tanh | ( | double | z | ) | `[inline, static]`

static double tanhc | ( | double | z | ) | `[inline, static]`

static double tanhr | ( | double | z | ) | `[inline, static]`

The documentation for this class was generated from the following file:

- feedforwardnn.h